---------------------
PatchSet 6856 
Date: 2008/02/16 14:55:48
Author: amosjeffries
Branch: squid3-ipv6
Tag: (none) 
Log:
Fix sock_family test reversed on accept. Possible cause of bug #2222.

Members: 
	src/comm.cc:1.47.2.58->1.47.2.59 

Index: squid3/src/comm.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/comm.cc,v
retrieving revision 1.47.2.58
retrieving revision 1.47.2.59
diff -u -r1.47.2.58 -r1.47.2.59
--- squid3/src/comm.cc	10 Feb 2008 11:13:45 -0000	1.47.2.58
+++ squid3/src/comm.cc	16 Feb 2008 14:55:48 -0000	1.47.2.59
@@ -1,6 +1,6 @@
 
 /*
- * $Id: comm.cc,v 1.47.2.58 2008/02/10 11:13:45 amosjeffries Exp $
+ * $Id: comm.cc,v 1.47.2.59 2008/02/16 14:55:48 amosjeffries Exp $
  *
  * DEBUG: section 5     Socket Functions
  * AUTHOR: Harvest Derived
@@ -1487,9 +1487,9 @@
     F->remote_port = details.peer.GetPort();
     F->local_addr.SetPort(details.me.GetPort());
 #if USE_IPV6
-    F->sock_family = AF_INET;
-#else
     F->sock_family = details.me.IsIPv4()?AF_INET:AF_INET6;
+#else
+    F->sock_family = AF_INET;
 #endif
     details.me.FreeAddrInfo(gai);
 
